### Signal

# Gtk.TreeModel::row-inserted

#### Declaration

    void
    row_inserted (
      GtkTreeModel self,
      GtkTreePath* path,
      GtkTreeIter* iter,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a new row has been inserted in the model.

Note that the row may still be empty at this point, since it is a common pattern to first insert an empty row, and then fill it with the desired values.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`

#### Parameters

`path` | `GtkTreePath`
| a `GtkTreePath`-struct identifying the new row
| Ownership is not transferred to the callee
`iter` | `GtkTreeIter`
| a valid `GtkTreeIter`-struct pointing to the new row
| Ownership is not transferred to the callee